path: /build/build/extra-cmake-modules-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test" emerge kde-frameworks/extra-cmake-modules:5 -pv -t && \
    USE="-doc -test" emerge -j ${JOBS} --nodeps kde-frameworks/extra-cmake-modules:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/extra-cmake-modules && luet-portage
    --dir /pkgdir/extra-cmake-modules kde-frameworks/extra-cmake-modules:5 && eval
    'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:829b4733602428a221bce706b5c23ca0b24aa3ca97c694a25624291bc4f0907e
  package:
    name: extra-cmake-modules
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - -test
    requires:
    - name: pkcs11-helper
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Extra modules and scripts for CMake
    uri:
    - https://invent.kde.org/frameworks/extra-cmake-modules
    license: BSD
    buildtimestamp: 2024-02-09 00:19:03.895217925 +0000 UTC m=+192.080603313
    labels:
      BDEPEND: doc? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
        dev-lang/python:3.10 ) || ( ( dev-lang/python:3.8 dev-python/sphinx[python_targets_python3_8(-),python_single_target_python3_8(+)]
        ) ( dev-lang/python:3.9 dev-python/sphinx[python_targets_python3_9(-),python_single_target_python3_9(+)]
        ) ( dev-lang/python:3.7 dev-python/sphinx[python_targets_python3_7(-),python_single_target_python3_7(+)]
        ) ( dev-lang/python:3.10 dev-python/sphinx[python_targets_python3_10(-),python_single_target_python3_10(+)]
        ) ) >=dev-qt/qthelp-5.15.1:5 ) test? ( >=dev-qt/linguist-tools-5.15.1:5 >=dev-qt/qtcore-5.15.1:5
        ) dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info dev-util/desktop-file-utils
      IUSE: doc test
      RDEPEND: app-arch/libarchive[bzip2]
      emerge.packages: kde-frameworks/extra-cmake-modules:5
      kit: kde-kit
      original.package.name: kde-frameworks/extra-cmake-modules
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/extra-cmake-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b5ad09b5e30e1ccfc9aaf6b418dcd9c41bfb94fc98d158e4040cdbb9ebdfeeff
compressiontype: zstd
files:
- usr/share/ECM/cmake/ECMConfig.cmake
- usr/share/ECM/cmake/ECMConfigVersion.cmake
- usr/share/ECM/find-modules/ECMFindModuleHelpersStub.cmake
- usr/share/ECM/find-modules/Find7z.cmake
- usr/share/ECM/find-modules/FindCanberra.cmake
- usr/share/ECM/find-modules/FindEGL.cmake
- usr/share/ECM/find-modules/FindGLIB2.cmake
- usr/share/ECM/find-modules/FindGperf.cmake
- usr/share/ECM/find-modules/FindGradle.cmake
- usr/share/ECM/find-modules/FindIcoTool.cmake
- usr/share/ECM/find-modules/FindInotify.cmake
- usr/share/ECM/find-modules/FindIsoCodes.cmake
- usr/share/ECM/find-modules/FindKF5.cmake
- usr/share/ECM/find-modules/FindLibExiv2.cmake
- usr/share/ECM/find-modules/FindLibGit2.cmake
- usr/share/ECM/find-modules/FindLibMount.cmake
- usr/share/ECM/find-modules/FindLibcap.cmake
- usr/share/ECM/find-modules/FindOpenEXR.cmake
- usr/share/ECM/find-modules/FindPhoneNumber.cmake
- usr/share/ECM/find-modules/FindPoppler.cmake
- usr/share/ECM/find-modules/FindPulseAudio.cmake
- usr/share/ECM/find-modules/FindPythonModuleGeneration.cmake
- usr/share/ECM/find-modules/FindQHelpGenerator.cmake
- usr/share/ECM/find-modules/FindQtWaylandScanner.cmake
- usr/share/ECM/find-modules/FindReuseTool.cmake
- usr/share/ECM/find-modules/FindSasl2.cmake
- usr/share/ECM/find-modules/FindSeccomp.cmake
- usr/share/ECM/find-modules/FindSharedMimeInfo.cmake
- usr/share/ECM/find-modules/FindTaglib.cmake
- usr/share/ECM/find-modules/FindUDev.cmake
- usr/share/ECM/find-modules/FindWayland.cmake
- usr/share/ECM/find-modules/FindWaylandProtocols.cmake
- usr/share/ECM/find-modules/FindWaylandScanner.cmake
- usr/share/ECM/find-modules/FindX11_XCB.cmake
- usr/share/ECM/find-modules/FindXCB.cmake
- usr/share/ECM/find-modules/Findepoxy.cmake
- usr/share/ECM/find-modules/Findgzip.cmake
- usr/share/ECM/find-modules/GeneratePythonBindingUmbrellaModule.cmake
- usr/share/ECM/find-modules/Qt5Ruleset.py
- usr/share/ECM/find-modules/local.properties.cmake
- usr/share/ECM/find-modules/rules_engine.py
- usr/share/ECM/find-modules/run-sip.py
- usr/share/ECM/find-modules/settings.gradle.cmake
- usr/share/ECM/find-modules/sip_generator.py
- usr/share/ECM/kde-modules/KDECMakeSettings.cmake
- usr/share/ECM/kde-modules/KDEClangFormat.cmake
- usr/share/ECM/kde-modules/KDECompilerSettings.cmake
- usr/share/ECM/kde-modules/KDEFrameworkCompilerLegacySettings.cmake
- usr/share/ECM/kde-modules/KDEFrameworkCompilerSettings.cmake
- usr/share/ECM/kde-modules/KDEGitCommitHooks.cmake
- usr/share/ECM/kde-modules/KDEInstallDirs.cmake
- usr/share/ECM/kde-modules/KDEInstallDirs5.cmake
- usr/share/ECM/kde-modules/KDEInstallDirs6.cmake
- usr/share/ECM/kde-modules/KDEInstallDirsCommon.cmake
- usr/share/ECM/kde-modules/KDEMetaInfoPlatformCheck.cmake
- usr/share/ECM/kde-modules/KDEPackageAppTemplates.cmake
- usr/share/ECM/kde-modules/KDESetupPrefixScript.cmake
- usr/share/ECM/kde-modules/appstreamtest.cmake
- usr/share/ECM/kde-modules/clang-format.cmake
- usr/share/ECM/kde-modules/kde-git-commit-hooks/clang-format.sh
- usr/share/ECM/kde-modules/kde-git-commit-hooks/pre-commit.in
- usr/share/ECM/kde-modules/prefix.sh.cmake
- usr/share/ECM/kde-modules/prefix.sh.fish.cmake
- usr/share/ECM/modules/CheckAtomic.cmake
- usr/share/ECM/modules/ECMAddAppIcon.cmake
- usr/share/ECM/modules/ECMAddQch.cmake
- usr/share/ECM/modules/ECMAddQtDesignerPlugin.cmake
- usr/share/ECM/modules/ECMAddTests.cmake
- usr/share/ECM/modules/ECMCheckOutboundLicense.cmake
- usr/share/ECM/modules/ECMConfiguredInstall.cmake
- usr/share/ECM/modules/ECMCoverageOption.cmake
- usr/share/ECM/modules/ECMCreateQmFromPoFiles.cmake
- usr/share/ECM/modules/ECMDeprecationSettings.cmake
- usr/share/ECM/modules/ECMEnableSanitizers.cmake
- usr/share/ECM/modules/ECMFindModuleHelpers.cmake
- usr/share/ECM/modules/ECMFindQmlModule.cmake
- usr/share/ECM/modules/ECMFindQmlModule.cmake.in
- usr/share/ECM/modules/ECMGenerateDBusServiceFile.cmake
- usr/share/ECM/modules/ECMGenerateExportHeader.cmake
- usr/share/ECM/modules/ECMGenerateHeaders.cmake
- usr/share/ECM/modules/ECMGeneratePkgConfigFile.cmake
- usr/share/ECM/modules/ECMGeneratePriFile.cmake
- usr/share/ECM/modules/ECMGenerateQmlTypes.cmake
- usr/share/ECM/modules/ECMInstallIcons.cmake
- usr/share/ECM/modules/ECMMarkAsTest.cmake
- usr/share/ECM/modules/ECMMarkNonGuiExecutable.cmake
- usr/share/ECM/modules/ECMOptionalAddSubdirectory.cmake
- usr/share/ECM/modules/ECMPackageConfigHelpers.cmake
- usr/share/ECM/modules/ECMPoQmTools.cmake
- usr/share/ECM/modules/ECMQMLModules.cmake
- usr/share/ECM/modules/ECMQchDoxygen.config.in
- usr/share/ECM/modules/ECMQchDoxygenLayout.xml
- usr/share/ECM/modules/ECMQmLoader.cpp.in
- usr/share/ECM/modules/ECMQmlModule.cmake
- usr/share/ECM/modules/ECMQmlModule.cpp.in
- usr/share/ECM/modules/ECMQmlModule.cpp.in.license
- usr/share/ECM/modules/ECMQmlModule.h.in
- usr/share/ECM/modules/ECMQmlModule.h.in.license
- usr/share/ECM/modules/ECMQtDeclareLoggingCategory.cmake
- usr/share/ECM/modules/ECMQtDeclareLoggingCategory.cpp.in
- usr/share/ECM/modules/ECMQtDeclareLoggingCategory.h.in
- usr/share/ECM/modules/ECMQueryQmake.cmake
- usr/share/ECM/modules/ECMQueryQt.cmake
- usr/share/ECM/modules/ECMSetupQtPluginMacroNames.cmake
- usr/share/ECM/modules/ECMSetupVersion.cmake
- usr/share/ECM/modules/ECMSourceVersionControl.cmake
- usr/share/ECM/modules/ECMUninstallTarget.cmake
- usr/share/ECM/modules/ECMUseFindModules.cmake
- usr/share/ECM/modules/ECMVersionHeader.h.in
- usr/share/ECM/modules/ECMWinResolveSymlinks.cmake
- usr/share/ECM/modules/QtVersionOption.cmake
- usr/share/ECM/modules/check-outbound-license.py
- usr/share/ECM/modules/ecm_uninstall.cmake.in
- usr/share/ECM/test-modules/test_execute_and_compare.cmake
- usr/share/ECM/toolchain/Android.cmake
- usr/share/ECM/toolchain/ECMAndroidDeployQt.cmake
- usr/share/ECM/toolchain/deployment-file-qt514.json.in
- usr/share/ECM/toolchain/deployment-file.json.in
- usr/share/ECM/toolchain/generate-fastlane-metadata.py
- usr/share/ECM/toolchain/hasMainSymbol.cmake
- usr/share/ECM/toolchain/specifydependencies.cmake
- usr/share/doc/extra-cmake-modules-5.111.0/README.md.bz2
- usr/share/doc/extra-cmake-modules-5.111.0/README.rst.bz2
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/CHOST
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/EAPI
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/IUSE
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/PF
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/RESTRICT
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/SIZE
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/SLOT
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/USE
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/extra-cmake-modules-5.111.0.ebuild
- var/db/pkg/kde-frameworks/extra-cmake-modules-5.111.0/repository
package_cacheimage: ""
runtime:
  name: extra-cmake-modules
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - -test
  requires:
  - name: libarchive
    version: '>=0'
    category: app-arch
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Extra modules and scripts for CMake
  uri:
  - https://invent.kde.org/frameworks/extra-cmake-modules
  license: BSD
  labels:
    BDEPEND: doc? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      dev-lang/python:3.10 ) || ( ( dev-lang/python:3.8 dev-python/sphinx[python_targets_python3_8(-),python_single_target_python3_8(+)]
      ) ( dev-lang/python:3.9 dev-python/sphinx[python_targets_python3_9(-),python_single_target_python3_9(+)]
      ) ( dev-lang/python:3.7 dev-python/sphinx[python_targets_python3_7(-),python_single_target_python3_7(+)]
      ) ( dev-lang/python:3.10 dev-python/sphinx[python_targets_python3_10(-),python_single_target_python3_10(+)]
      ) ) >=dev-qt/qthelp-5.15.1:5 ) test? ( >=dev-qt/linguist-tools-5.15.1:5 >=dev-qt/qtcore-5.15.1:5
      ) dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info dev-util/desktop-file-utils
    IUSE: doc test
    RDEPEND: app-arch/libarchive[bzip2]
    emerge.packages: kde-frameworks/extra-cmake-modules:5
    kit: kde-kit
    original.package.name: kde-frameworks/extra-cmake-modules
    original.package.slot: "5"
    original.package.version: 5.111.0
